package com.example.wholeestate.common.resp;

import java.io.Serializable;

/**
 * 接口统一状态返回BEAN.
 */
public class ResponseBean<T> implements Serializable {

    private static final long serialVersionUID = 3593827217136880822L;

    public static final Integer CODE_SUCCESS =  200;
    public static final Integer CODE_FAIL =  400;

    private Integer code = 200;

    private String message = "成功";

    private T data;

    public ResponseBean() {
    }

    public void addDefaultError() {
        this.code = 400;
        this.message = "失败";
    }

    public void addError(String message) {
        this.code = 400;
        this.message = message;
    }

    public void addError(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public void addSuccess(String message) {
        this.code = 200;
        this.message = message;
    }

    public void addSuccess(T data) {
        this.code = 200;
        this.message = "成功";
        this.data = data;
    }

    public T getData() {
        return this.data;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    @Override
    public String toString() {
        return "ResponseBaseBean [code=" + this.code + ", message=" + this.message + ", data=" + this.data + "]";
    }
}
