package com.example.wholeestate.controller;


import com.example.wholeestate.common.base.BaseController;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.SysUser;
import com.example.wholeestate.service.ICustomerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpSession;

/**
 * <p>
 *  用户
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@RestController
@RequestMapping("/")
@Api(value = "用户 API", description = "用户 API")
public class CustomerController extends BaseController {
    @Autowired
    private ICustomerService iCustomerService;

    @ApiOperation(value = "会员列表", notes = "会员列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body",dataType = "String",name = "parameter",value = "pageNum:分页第几页" +
                    "pageSize:每页长度")

    })
//    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "token")
    @RequestMapping(value = "/customerList", method = RequestMethod.POST)
    public ResponseBean buildingList(@RequestBody String parameter, HttpSession session){
        ResponseBean  responseBean = iCustomerService.customerList(parameter);
        return responseBean;
    }

    @RequestMapping(value = "/customerSelectId/{id}", method = RequestMethod.GET)
    @ApiOperation(value = "会员详情", notes = "会员详情")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "path", dataTypeClass=Integer.class, name = "id", value = "会员id"),
    })
    public ResponseBean customerSelectId(@PathVariable(value = "id") Integer id, HttpSession session){
        ResponseBean  responseBean = iCustomerService.customerSelectId(id);
        return responseBean;
    }

}
