package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Building;

/**
 * <p>
 * 楼盘表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
public interface IBuildingService extends IService<Building> {

    /**
     * 楼盘列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean buildingList(Integer pageNum,Integer pageSize,String name,String code);

    /**
     * 楼盘详情
      * @param id
     * @return
     */
    ResponseBean buildingSelectId(String id);

    /**
     * 修改楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingUpdate(String parameter);

    /**
     *
     * @param
     * @return
     */
    ResponseBean appointmentList(Integer pageNum, Integer pageSize,Integer buildingId,String username);

    /**
     * 添加楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingAdd(String parameter);

    /**
     * 修改成已发布
     * @return
     */
    ResponseBean buildingUpdateStatus(String parameter);

    /**
     * 楼盘删除
     * @param parameter
     * @return
     */
    ResponseBean buildingdelete(String parameter);
}
